
Redmine - Defect #27243

Permission problem with share versions

2017-10-21 14:07 - Amir Sepahram

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hi,

I've added a version in a project and shared it with project tree. Then I assigned some issues to it in both projects.

It's supposed to work all right, though when I click on any of the issue links on Roadmap page, I get this error:

"403 - You are not authorized to access this page."

I am both Manager role holder - with permission to "manage version" - and redmine admin. Still I get the error, so that I have to go to

issue list and use filters.

History

#1 - 2017-11-20 17:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2018-03-11 09:36 - Amir Sepahram

Toshi MARUYAMA wrote:

Please see submissions.

 Environment:

Redmine version                3.3.1.stable

Ruby version                   2.1.2-p95 (2014-05-08) [i686-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               PostgreSQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

progressive_projects_list      1.0.0

redmine_dmsf                   1.5.9

redmine_knowledgebase          3.2.1

scrum                          0.16.2

#3 - 2018-04-28 09:29 - Go MAEDA

- Category set to Permissions and roles
